<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-entity'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form p-4">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'label'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>

      <label class="label label__align_right">{{
        'sqtm-core.entity.milestone.status.label' | translate
      }}</label>
      <sqtm-core-select-field
        [fieldName]="'status'"
        [formGroup]="formGroup"
        [options]="milestoneStatusOptions"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-select-field>

      <label class="label label__align_right">{{
        'sqtm-core.entity.milestone.end-date.label' | translate
      }}</label>
      <sqtm-core-date-picker
        class="full-width"
        [fieldName]="'endDate'"
        [formGroup]="formGroup"
        [serverSideFieldValidationError]="serverSideValidationErrors"
        [allowEmptyValue]="false"
      >
      </sqtm-core-date-picker>

      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>
      <sqtm-core-rich-text-field
        [formGroup]="formGroup"
        [fieldName]="'description'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-rich-text-field>
    </div>
  </div>
</sqtm-core-creation-dialog>
